functexcept.h File Reference

Go to the source code of this file.

## Namespaces

| std

## Functions

void | std::__throw_bad_alloc (void)
void | std::__throw_bad_array_new_length (void)
void | std::__throw_bad_cast (void)
void | std::__throw_bad_exception (void)
void | std::__throw_bad_function_call ()
void | std::__throw_bad_typeid (void)
void | std::__throw_domain_error (const char *)
void | std::__throw_future_error (int)
void | std::__throw_invalid_argument (const char *)
void | std::__throw_ios_failure (const char *)
void | std::__throw_ios_failure (const char *, int)
void | std::__throw_length_error (const char *)
void | std::__throw_logic_error (const char *)
void | std::__throw_out_of_range (const char *)
void | std::__throw_out_of_range_fmt (const char *,...)
void | std::__throw_overflow_error (const char *)
void | std::__throw_range_error (const char *)
void | std::__throw_runtime_error (const char *)
void | std::__throw_system_error (int)
void | std::__throw_underflow_error (const char *)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <exception>.

This header provides support for -fno-exceptions.

Definition in file functexcept.h.